%define upstream_name    XML-Filter-SAXT
%define upstream_version 0.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	XML::Filter::SAXT - replicates SAX events to several SAX event handlers
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch
Provides:	perl-libxml-enno
Obsoletes:	perl-libxml-enno

%description
SAXT is like the Unix 'tee' command in that it multiplexes the input
stream to several output streams. In this case, the input stream is a
PerlSAX event producer (like XML::Parser::PerlSAX) and the output
streams are PerlSAX handlers or filters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/XML/Filter/SAXT.pm
%{_mandir}/*/*

%changelog
* Fri Jan 21 2011 jquelin <jquelin> 0.10.0-2.mga1
+ Revision: 29344
- rebuild
- mageia rebuild

* Mon Jan 17 2011 spuhler <spuhler> 0.10.0-1.mga1
+ Revision: 20785
- removed buildroot definition from .spec

  + jquelin <jquelin>
    - imported package perl-XML-Filter-SAXT


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 401861
- rebuild using %%perl_convert_version

* Wed Sep 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.01-6mdv2009.0
+ Revision: 287786
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.01-4mdv2008.1
+ Revision: 180655
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.01-3mdv2007.0
+ Revision: 85632
- Import perl-XML-Filter-SAXT

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.01-3
- use the %%mkrel macro

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.01-2mdk
- fix deps

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdk
- initial Mandriva package

